# Contributing

Everyone is welcome to help make gocui better!

When contributing to this repository, please first discuss the change you wish
to make via issue, email, or any other method with the owners of this repository
before making a change. 

## So all code changes happen through Pull Requests
Pull requests are the best way to propose changes to the codebase. We actively
welcome your pull requests:

1. Fork the repo and create your branch from `master` with a name like `feature/contributors-guide`.
2. If you've added code that should be tested, add tests.
3. If you've added code that need documentation, update the documentation.
4. Make sure your code follows the [effective go](https://golang.org/doc/effective_go.html) guidelines as much as possible.
5. Be sure to test your modifications.
6. Make sure your branch is up to date with the master branch.
7. Write a [good commit message](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).
8. Create that pull request!

## Code of conduct
Please note by participating in this project, you agree to abide by the [code of conduct].

[code of conduct]: https://github.com/awesome-gocui/gocui/blob/master/CODE-OF-CONDUCT.md

## Any contributions you make will be under the license indicated in the [license](LICENSE.md)
In short, when you submit code changes, your submissions are understood to be
under the same license as the rest of project. Feel free to contact the maintainers if that's a concern.

## Report bugs using Github's [issues](https://github.com/awesome-gocui/gocui/issues)
We use GitHub issues to track public bugs. Report a bug by [opening a new
issue](https://github.com/awesome-gocui/gocui/issues/new); it's that easy!